# (doktor5000) only for the plugins, kismet itself does not require this
%define _disable_ld_no_undefined 1
%define upstream_version 2013-03-R1b

Name:		kismet
Version:	2013.03.R1b
Release:	%mkrel 5
Summary:	802.11b/g network sniffer and network dissector
Group:		Networking/Other
License:	GPLv2+
Url:		http://www.kismetwireless.net
Source0:	http://www.kismetwireless.net/code/%{name}-%{upstream_version}.tar.xz
Source1:	README.urpmi
# from wireshark https://code.wireshark.org/review/gitweb?p=wireshark.git;a=blob_plain;f=manuf;hb=HEAD
Source2:	manuf
BuildRequires:	libncurses-devel
BuildRequires:	libpcap-devel
BuildRequires:	imagemagick-devel
BuildRequires:	wget
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	gpsd-devel
BuildRequires:	gmp-devel
BuildRequires:	expat-devel
BuildRequires:	libnl3-devel
BuildRequires:	libbluez-devel
BuildRequires:	openssl-devel
# (doktor5000) required for the creation of the group to run suid capture helper
Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}



%description
Kismet is an 802.11b/g network sniffer and network dissector. It is
capable of sniffing using most wireless cards, automatic network IP
block detection via UDP, ARP, and DHCP packets, Cisco equipment lists
via Cisco Discovery Protocol, weak cryptographic packet logging, and
Ethereal and tcpdump compatible packet dump files. It also includes
the ability to plot detected networks and estimated network ranges on
downloaded maps or user supplied image files.

%prep
%setup -q -n %name-%upstream_version

# remove user and group arguments for install calls
perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(INSTGRP\)//' Makefile.in
perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(MANGRP\)//' Makefile.in

# README.urpmi
install -Dm644 %{SOURCE1} .

# (doktor5000) use hardened build flags due to the suid capture helper
%serverbuild
%configure2_5x

%make


%install
%makeinstall_std

# (doktor5000) manually install suid capture helper to allow to not run kismet as root
install -c -m 550 kismet_capture %buildroot%_bindir/

#export KIS_SRC_DIR so plugins find kismet headers
export KIS_SRC_DIR=%_builddir/%name-%upstream_version

mkdir -p %buildroot%_libdir/%name

cd restricted-plugin-autowep
%make
install *.so %buildroot%_libdir/%name
cd ..

cd restricted-plugin-ptw
%make
install *.so %buildroot%_libdir/%name
cd ..

cd plugin-alertsyslog
%make
install *.so %buildroot%_libdir/%name
cd ..

# gives unresolved symbols on plugin load
#cd plugin-btscan
#%%make
#install *.so %%buildroot%%_libdir/%%name
#cd ..

# gives unresolved symbols  on plugin load
#cd plugin-spectools
#%%make
#install *.so %%buildroot%%_libdir/%%name
#cd ..

#add write permission for all binaries to make stripping work
chmod u+w %buildroot%_bindir/*

# IEEE OUI file for NIC manufacturer MAC lookup/resolution
install -Dm644 %{SOURCE2} %buildroot%_datadir/%name/

# customize default config - add search path for IEEE OUI file
sed -i 's|^ouifile=/etc/manuf$|ouifile=%_datadir/%name/manuf|' %buildroot%_sysconfdir/kismet.conf


# (doktor5000) add kismet group to run suid capture helper
%pre
%_pre_groupadd %{name}

%post
if [ -f %_sysconfdir/kismet.conf ] ;
then
	if ! grep -q -e "^piddir="  %_sysconfdir/kismet.conf 
	then 
		echo "piddir=/var/run/" >> %_sysconfdir/kismet.conf
	fi
fi

%postun
%_postun_groupdel %{name}

%files
%doc CHANGELOG README RELEASENOTES.txt
%doc docs/DEVEL.* docs/README.* docs/devel-wiki-docs/*
%doc README.urpmi
%config(noreplace) %_sysconfdir/kismet.conf
%config(noreplace) %_sysconfdir/kismet_drone.conf
%_bindir/kismet
# (doktor5000) sgid capture helper binary
%attr(4550, root, kismet) %_bindir/kismet_capture
%_bindir/kismet_client
%_bindir/kismet_drone
%_bindir/kismet_server
%_libdir/%name
%_datadir/%name
%_mandir/man1/*
%_mandir/man5/*


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 2013.03.R1b-5.mga6
+ Revision: 952578
- Mageia 6 Mass Rebuild

* Wed Mar 11 2015 doktor5000 <doktor5000> 2013.03.R1b-4.mga5
+ Revision: 818422
- bump release to be able to submit to core/release

* Tue Mar 10 2015 doktor5000 <doktor5000> 2013.03.R1b-3.mga5
+ Revision: 818312
+ rebuild (emptylog)

* Tue Mar 03 2015 doktor5000 <doktor5000> 2013.03.R1b-2.mga5
+ Revision: 817551
- fix permissions of SUID kismet_capture binary
- rephrased section and fixed typo in README.urpmi
- dropped Recommends on wireshark, flite and festival

* Mon Mar 02 2015 doktor5000 <doktor5000> 2013.03.R1b-1.mga5
+ Revision: 817363
- new version 2013-03-R1b
- added SUID kismet_capture binary to allow capturing as non-root user
  o added README.urpmi to document two ways of using kismet
  o add necessary kismet group via rpm-helper
  o use %%serverbuild macro to build kismet due to the SUID binary
- enabled new alertsyslog plugin
- reenabled AutoWEP plugin
- added Recommends on wireshark for IEEE OUI file for automatic NIC MAC lookup
- added Recommends on flite & festival to enable speech output on kismet server

* Wed Oct 15 2014 umeabot <umeabot> 2011.03.R2-7.mga5
+ Revision: 741240
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2011.03.R2-6.mga5
+ Revision: 681095
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2011.03.R2-5.mga4
+ Revision: 506681
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2011.03.R2-4.mga3
+ Revision: 356249
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 tmb <tmb> 2011.03.R2-3.mga3
+ Revision: 225013
- build against libnl3

  + doktor5000 <doktor5000>
    - fix order of options in sed call in %%post

* Wed Aug 31 2011 doktor5000 <doktor5000> 2011.03.R2-1.mga2
+ Revision: 137314
- new version 2011-03-R2, switching to Newcore
- change versioning scheme to represent upstream versioning
- build additional plugins autowep and ptw, enabling aircrack integration
- remove unused BuildRequire glib-devel
- removed obsolete README.Mandriva
- fix license to GPLv2+
- drop obsolete fix.h header
- drop obsolete patches
- imported package kismet


* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 3.1.0805291-5mdv2011.0
+ Revision: 553467
- rebuild for new imagmagick

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 3.1.0805291-4mdv2010.1
+ Revision: 503705
- rebuild for new gmp

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 3.1.0805291-3mdv2010.1
+ Revision: 491376
- add patch from gentoo to have it built

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Mar 25 2009 Pascal Terjan <pterjan@mandriva.org> 3.1.0805291-2mdv2009.1
+ Revision: 361058
- Fix format-security error

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.0805291-1mdv2009.1
+ Revision: 298591
- 2008-05-R1
- drop redundant patches
- fix build
- rebuilt against libpcap-1.0.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.070101b-4mdv2008.1
+ Revision: 167678
- rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.070101b-3mdv2008.1
+ Revision: 146501
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 3.1.070101b-2mdv2008.0
+ Revision: 79859
- rebuild for libexpat

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.1.070101b-1mdv2008.0
+ Revision: 24872
- Made patch 64bits_castfix to fix x86_64 build issue.
- Updated to 2007-01-R1b.


* Thu Mar 22 2007 Michael Scherer <misc@mandriva.org> 3.1.060413-2mdv2007.1
+ Revision: 147864
- rebuild for new libmagick
- Import kismet

* Fri May 19 2006 Emmanuel Andry <eandry@mandriva.org> 3.1.060413-1mdk
- 2006-04-R1
- Change summary and description for 802.11g support
- Fix README.Mandrake
- added gps support

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.050815-2mdk
- Remove redundant buildRequires

* Sun Sep 11 2005 Michael Scherer <misc@mandriva.org> 3.1.050815-1mdk
- mkrel
- 2005-08-R1

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 3.1.050630-3mdk
- rebuilt against new Magick libs

* Tue Aug 16 2005 Pascal Terjan <pterjan@mandriva.org> 3.1.050630-2mdk
- rebuild for disappeared libdpstk.so.1

* Fri Jul 01 2005 Lenny Cartier <lenny@mandriva.com> 3.1.050630-1mdk
- 20050630

* Mon Mar 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.1.041001-4mdk
- Rebuild for new ImageMagick

* Fri Feb 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.1.041001-3mdk
- Rebuild for new ImageMagick

* Wed Nov 17 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.041001-2mdk
- add BuildRequires: flex bison

* Wed Nov 03 2004 Pascal Terjan <pterjan@mandrake.org> 3.1.041001-1mdk
- 2004-10-R1
- drop patches 0, 1 and 2

* Thu Aug 05 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-4mdk 
- rebuild for ImageMagick, patch 2

* Wed Jul 07 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-3mdk 
- rebuild for ImageMagick
- fix header inclusion

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-2mdk 
- rebuild for new gcc

* Fri Apr 09 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-1mdk 
- new version ( 2004-04-R1 )
- fixed and explain the versionning scheme

